AMP Plugin for WordPress Version 1.0 Introduces Gutenberg-Integrated AMP Validation

Version 1.0 of the official AMP plugin for WordPress was released on the eve of WordCamp US, after two years in development by contributors from Automattic, XWP, and Google. This first stable version has a massive changelog with 30 people credited for their contributions. The plugin is now considered ready for production and is active on more than 300,000 sites.
Version 1.0 interfaces with the new editor that landed in WordPress 5.0. It will display warnings for AMP-invalid markup on a per-block basis, so users don’t have to guess what content is generating an issue.

This release also introduces a compatibility tool that offers detailed information on AMP validation errors. It functions like a debugging page where users can see which URLs are generating errors, along with the site component (plugin, theme, or core) where the markup originates.
Version 1.0 includes granular controls for selecting which templates will be served as AMP. This allows for a more gradual adoption across a site.

 » Read More